<div class="page-content-wrapper">
  <!-- BEGIN CONTENT BODY -->
  <!-- BEGIN PAGE CONTENT BODY -->
  <div class="page-content" style="padding: 0px 0 0 20px;">
    <div class="blog-page blog-content-2">
      <div class="row" class="row" libScrollEvent (onscroll)="handleScroll($event)" [bottomOffset]="200" [topOffset]="200">
            <spost [PostId]="PostId" [PostIdIndex]="i" *ngFor="let PostId of posts; let i = index" [Parent]="this"></spost>  
            <alerts></alerts>
            <ng-template confirm>
              <confirm-modal-component></confirm-modal-component>
           </ng-template>
           <div class="portlet light bordered"  *ngIf="this.showAlert" style="margin-top: 15px;padding-top: 50px;">
            <strong></strong>  No Post to display ! </div>
      </div>
      </div>
  </div>
  <!-- END PAGE CONTENT BODY -->
  <!-- END CONTENT BODY -->
</div>